Subject: Re: reconcile? (was RE: Summary of Megaco Meetings)

From: "Roy, Radhika R, ALARC" <[email-masked]>
Date: Wed, 17 Nov 1999 09:27:17 -0500

Hi, Henry and All:

For now, I feel that Henry's suggestion is OK .

(As a side note: For a large network, there can be some SIP proxy servers
between the MGCs before going to the SIP phones. Similar is the case of
H.323 [e.g., multiple GKs]. These are different issues. Some interesting
issues related to SIP-H.323 interworking may also be addressed in the
future.)

Best regards,

Radhika R. Roy
AT&T
+1 732 420 1580
[email-masked])

> -----Original Message-----
> From: Henry Sinnreich [SMTP:[email-masked]]
> Sent: Wednesday, November 17, 1999 9:00 AM
> To:   [email-masked]
> Subject:      reconcile? (was RE: Summary of Megaco Meetings)
>
> Nancy's drawing adds the important point of MEGACO gateways talking to SIP
> clients and together with Brian's provides the graphics for an
> architectural background, such as:
>
> MEGACO in the Context of the The Internet Multimedia Conferencing
> Architecture [x] (attached)
> =====================================================================
> SIP clients can be IP telephony gateways, using MEGACO as shown in figure1
> . In this architecture, any SIP client, such as IP phones, PCs or palm
> tops do not need to know the PSTN protocol when the other party is on the
> PSTN. Gateways and clients can also use H.323 in an H.323 environment.
> Call flows for SIP clients and gateways are given in [y].
>
>        MGC     ---   SIP       ---------------   SIP UAC (i.e. SIP IP
> Phone)
>           |                                                   |
>       Megaco                                         /
>           |                                             /
>         MG      ---   RTP/AAL2/....  ------/
>
>                                Figure 1
>
> In the particular case when both SIP clients are IP telephony gateways as
> shown in Fig. 2,
>
>        MGC  --- SIP/ISUP(BICC)/H.323  --- MGC
>           |                                                   |
>       Megaco                                       Megaco
>           |                                                   |
>         MG      ---   RTP/AAL2/....       ---   MG
>
>                             Figure 2
>
> there are two options:
>
> A. The gateways use SIP signaling as with any other client (SIP in the
> middle model).
>
> B. The gateways use SIP as a transport vehicle to carry PSTN signaling
> between them, such as ISUP across the IP network. This case is applicable
> when both sides understand the same PSTN protocol variant [z].
>
> My apology if all this seems obvious to some, but the discussions on the
> list have shown that such an introductory note would be quite useful.
> I suppose H.248 documents could carry similar references for good balance.
>
> References:
> [x] The Internet Multimedia Conferencing Architecture by M. Handley/J.
> Crowcroft/C. Bormann/J. Ott
>      <draft-ietf-mmusic-confarch-02.txt> (have attached it here below)
>
> [y] SIP Telephony Call Flow Examples by Alan Johnston, et al.
>
> <http://search.ietf.org/internet-drafts/draft-johnston-sip-call-flows-00.t
> xt>
>
>     (PBX and Centrex like services are given in
>
> <http://search.ietf.org/internet-drafts/draft-sparks-sip-service-examples-
> 00.txt> )
>
> [z] SIP Best Current Practice for Telephony Interworking
>
> <http://search.ietf.org/internet-drafts/draft-zimmerer-sip-bcp-t-00.txt>
>     This document obseletes the 'SIP+: Inter-MGC Protocol'
>
> Thanks, Henry
>
>       -----Original Message-----
>       From: Media Gateway Control (megaco)
> [mailto:[email-masked]]On Behalf Of Nancy-M Greene
>       Sent: Tuesday, November 16, 1999 9:34 AM
>       To: [email-masked]
>       Subject: Re: Summary of Megaco Meetings
>
>
>
>       Taking the picture from Brian's email:
>              MGC     ---   SIP/ISUP/H.323   ---   MGC
>                 |                                                   |
>             Megaco                                       Megaco
>                 |                                                   |
>               MG      ---   RTP/AAL2/....       ---   MG
>
>       Altering to show interaction with a SIP client, as in Pyda's email
> below:
>
>              MGC     ---   SIP       ---------------   SIP UAC (i.e. SIP
> IP Phone)
>                 |                                                   |
>             Megaco                                         /
>                 |                                             /
>               MG      ---   RTP/AAL2/....  ------/
>
>       In this case the RTP/AAL2 goes from the MG to the SIP IP Phone. The
> SIP UAC is a peer to the MGC. The SIP UAC does not need to know that the
> MGC uses Megaco to talk to its MG.
>
>
>
>       Note that here we do not get SIP and Megaco overlapping - they are
> happening in different places.
>
>
>       Nancy
>
> --------------------------------------------------------------------------
>
>       Nancy M. Greene
>       Internet & Service Provider Networks, Nortel Networks
>       T:514-271-7221 (internal:ESN853-1077) E:[email-masked]
>
>               ----------
>       From:   Pyda Srisuresh[SMTP:[email-masked]]
>       Sent:   Tuesday, November 16, 1999 10:06 AM
>       To:     [email-masked]
>       Subject:        Re: Summary of Megaco Meetings
>
>               --- Lyndon Ong <[email-masked]> wrote:
>       > Hmm, maybe I can ask for more context on Henry's email:
>       >
>       > -- SIP could be used for transport, but it uses application layer
> framing in
>       > the same way that Megaco over UDP would use application layer
> framing, so
>       > there's no advantage, is there?
>       >
>
>               I believe, the advantage is that the MGC is able to work
> with a SIP network.
>       I.e., MGC (telephony gateway) and SIP UAC(say, IP phone) will simply
> be
>       clients to SIP network.
>
>               cheers,
>       suresh
>       __________________________________________________
>       Do You Yahoo!?
>       Bid and sell for free at <http://auctions.yahoo.com>
>  << File: draft-ietf-mmusic-confarch-02.htm >>

---

From: Christian Groves <[email-masked]>
Date: Wed, 17 Nov 1999 16:07:14 +0100

G'Day all,

I think we spent alot of time removing references from H.248 (Megaco)
that point to specific Call control protocols and architectures. I don't
think we should be adding any architectural information for SIP, H323,
ISUP, BICC, Semaphore etc etc....

If H248/Megaco is relevant then the applicable archictectures
could/should reference H.248/Megaco not the other way around.

I think we need to reconcile the technical problems in H.248/Megaco
ASAP.

Discussion of SIP architectures involving SIP/megaco should be taken on
that list.

Cheers, Christian